Skip to main content
GET
/
api
/
users
List users
curl --request GET \
  --url https://api.example.com/api/users \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "type": "invited",
      "status": "active",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "isService": true,
      "roles": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "description": "<string>"
        }
      ]
    }
  ],
  "paginate": {
    "current": 123,
    "from": 123,
    "to": 123,
    "total": 123,
    "pageSize": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gorules.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Query Parameters

isService
string

Filter by service account status (true/false)

Search term to filter users by email, first name, or last name

page
number
default:1

Current page

perPage
number
default:10

Number of items per page

Response

200 - application/json

Paginated list of users

Paginated list of users

results
object[]
required

List of users

paginate
object
required

Pagination metadata